AntiFeatures:
  - NonFreeNet
  - Tracking
Categories:
  - Sports & Health
  - Multimedia
License: GPL-3.0-only
AuthorName: Ashutosh Gangwar
AuthorEmail: ashutoshgngwr@gmail.com
AuthorWebSite: https://ashutoshgngwr.github.io
WebSite: https://trynoice.com
SourceCode: https://github.com/trynoice/android-app
IssueTracker: https://github.com/trynoice/android-app/issues
Translation: https://hosted.weblate.org/engage/noice/
Changelog: https://trynoice.com/changelog
OpenCollective: noice

AutoName: Noice

RepoType: git
Repo: https://github.com/trynoice/android-app.git

Builds:
  - versionName: 0.2.5
    versionCode: 10
    commit: 0.2.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.2.6
    versionCode: 11
    commit: 0.2.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.2.7
    versionCode: 12
    commit: 0.2.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.3.1
    versionCode: 16
    commit: 0.3.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.3.3
    versionCode: 18
    commit: 0.3.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.3.4
    versionCode: 19
    commit: 0.3.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.4.0
    versionCode: 20
    commit: 0.4.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.5.0
    versionCode: 21
    commit: 0.5.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.7.0
    versionCode: 23
    commit: 0.7.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.7.1
    versionCode: 24
    commit: 0.7.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.7.2
    versionCode: 25
    commit: 0.7.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.8.0
    versionCode: 26
    commit: 0.8.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.8.1
    versionCode: 27
    commit: 0.8.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.9.0
    versionCode: 28
    commit: 0.9.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.9.1
    versionCode: 29
    commit: 0.9.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.10.0
    versionCode: 30
    commit: 0.10.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.10.1
    versionCode: 31
    commit: 0.10.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.11.0
    versionCode: 32
    commit: 0.11.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.11.1
    versionCode: 33
    commit: 0.11.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.12.0
    versionCode: 34
    commit: 0.12.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.13.0
    versionCode: 35
    commit: 0.13.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.14.0
    versionCode: 36
    commit: 0.14.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.15.0
    versionCode: 37
    commit: 0.15.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.16.0
    versionCode: 38
    commit: 0.16.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.16.1
    versionCode: 39
    commit: 0.16.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 0.17.0
    versionCode: 40
    commit: 0.17.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/signingConfig/d' build.gradle

  - versionName: 1.0.0
    versionCode: 41
    commit: 1.0.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.0.1
    versionCode: 42
    commit: e3431c840f467e7cf2070f0286f49afec3186f48
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.0.2
    versionCode: 43
    commit: 8e0d6f3c1b596d0aaa25bda2bb445ac6c055b520
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.1.1
    versionCode: 45
    commit: f61ce96451ee35d4d4f6d74d017e8fd00124f62a
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.2.0
    versionCode: 46
    commit: ab0d09cb0d97a2614661cda3b584a21676d57ff7
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.2.1
    versionCode: 47
    commit: 329ca7be63ed067441667dc6ab5c4ad866bbaa06
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.2.2
    versionCode: 48
    commit: 6183b77d2f7f5729f3df4dbd0837fe979e8828a9
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.3.0
    versionCode: 49
    commit: 75191b98040a2e0e810b6496cb0210a21ba4d5d2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/sed:fdroid-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.3.1
    versionCode: 50
    commit: 82b32ecd8f24d816df5b28e465ac906ea2ddf0a9
    subdir: app
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.3.2
    versionCode: 51
    commit: 66d84c492df0e8bf2d050f6862910cef2b14f731
    subdir: app
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 1.3.3
    versionCode: 52
    commit: b50c5148cfe4f525bf1a3aaad823a7d5751d2482
    subdir: app
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.0.0
    versionCode: 53
    commit: 946359777c95b650484b7bbd3970c4bdb711c991
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.0.1
    versionCode: 54
    commit: f73e24fff8ce6bbaeca4ef135652c6c3711833c7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.1.0
    versionCode: 55
    commit: 20334ede7b4963b4a28cf154db4d9c46cd200a2f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.2.1
    versionCode: 57
    commit: 52bf469d9a66d3a340c5fb0bb0e95323452825f4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.2.2
    versionCode: 58
    commit: b8790b2fe400be211a95e82bb5a09790c80eb7b4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.2.3
    versionCode: 59
    commit: c7ca85f2d5c6c74a03ef8c041de0ecb37f0f8fa1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.2.4
    versionCode: 60
    commit: b1510f608422860e512a5ecff238f14bc2ae01c7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.3.0
    versionCode: 61
    commit: a4e60d04dd3ced3a9a9dab15db0392521e747a3b
    subdir: app
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

  - versionName: 2.4.0
    versionCode: 62
    commit: e11d9d823e86b355abdcaecbf330be824f482c5a
    subdir: app
    gradle:
      - free
    prebuild: sed -i -e '/sed:free-build:remove/d' build.gradle ../build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 2.4.0
CurrentVersionCode: 62
